org.gradle.api.artifacts

## Interface UnresolvedDependency

-     public interface UnresolvedDependency

  Unsuccessfully resolved dependency.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Deprecated.
    `Throwable` | `getProblem()` the exception that is the cause of unresolved state
    `ModuleVersionSelector` | `getSelector()` The module selector of the dependency.

- - ### Method Detail

    - #### getId

          @Deprecated
          String getId()

      Deprecated.
      Deprecated. Please use `getSelector()`

      Returns the identifier of the dependency, for example group:name:version

    - #### getSelector

          ModuleVersionSelector getSelector()

      The module selector of the dependency.
      Since:
        1.1-rc-1

    - #### getProblem

          Throwable getProblem()

      the exception that is the cause of unresolved state